Overview
GET
/usage/usage-eventsusageList usage_events
List usage-events.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idinteger
- scopestring
- principalIdstring
- ecosystemIdstring?
- routestring
- methodstring
- statusinteger
- requestBytesinteger
- responseBytesinteger
- occurredAtstring
Example
[
{
"id": 0,
"scope": "string",
"principalId": "string",
"ecosystemId": "string",
"route": "string",
"method": "string",
"status": 0,
"requestBytes": 0,
"responseBytes": 0,
"occurredAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/usage/usage-events" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/usage/usage-events", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();